FC-LIST(1)

NAME
fc-list - list available fonts

SYNOPSIS

fc-list [ -vVh ] [ --verbose ] [ [ -f format ] [ --format format ] ] [ [ -q ] [ --quiet ] ] [ --version ] [ --help ]
 [ pattern [ element... ] ]

DESCRIPTION

fc-list lists fonts and styles available on the system for applications using fontconfig. If any elements are specified, only those are printed. Otherwise family and style are printed, unless verbose output is requested.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-v  Print verbose output of the whole font pattern for each match, or elements if any is provided.

-f  Format output according to the format specifier format.

-q  Suppress all normal output. returns 1 as the error code if no fonts matched.

-V  Show version of the program and exit.

-h  Show summary of options.

pattern
    If this argument is set, only fonts matching pattern are displayed.

element
    If set, the element property is displayed for matching fonts.

EXAMPLES

fc-list
    Lists all font faces.

fc-list :lang=hi
    Lists font faces that cover Hindi.

fc-list : family style file spacing
    Lists the filename and spacing value for each font face. ``:'' is an empty pattern that matches all fonts.

SEE ALSO

fc-match(1) FcFontList(3) FcPatternFormat(3) fc-cat(1) fc-cache(1) fc-pattern(1) fc-query(1) fc-scan(1)

The fontconfig user's guide <URL:https://fontconfig.pages.freedesktop.org/fontconfig/fontconfig-user.html>

AUTHOR

This manual page was written by Keith Packard <keithp@keithp.com> and Josselin Mouette <joss@debian.org>.